import { TranslationApi, TranslationRef, TranslationSnapshot } from '@backstage/core-plugin-api/alpha';
import { Observable } from '@backstage/types';
/**
 * @alpha
 * @deprecated Use `mockApis` from `@backstage/test-utils` instead
 */
export declare class MockTranslationApi implements TranslationApi {
    #private;
    static create(): MockTranslationApi;
    private constructor();
    getTranslation<TMessages extends {
        [key in string]: string;
    }>(translationRef: TranslationRef<string, TMessages>): TranslationSnapshot<TMessages>;
    translation$<TMessages extends {
        [key in string]: string;
    }>(): Observable<TranslationSnapshot<TMessages>>;
}
